Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class CommandParser

    java.lang.Object
      org.basex.util.InputParser
          org.basex.core.CommandParser

    public final class CommandParser

extends InputParser

This is a parser for command strings, creating `Proc` instances. Several commands can be formulated in one string and separated by semicolons.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.util.InputParser
`file, ql, qm, qp, qu`

Constructor Summary
`CommandParser(String in, Context c)` Constructor, parsing the input queries.
`CommandParser(String in, Context c, boolean i)` Constructor, parsing internal commands.

Method Summary
`void` | `error(StringList comp, String m, Object... e)` Throws an error.
`StringList` | `list(Enum<?>[] comp)` Converts the specified commands into a string list.
`Proc[]` | `parse()` Parses the input and returns a command list.

Methods inherited from class org.basex.util.InputParser
`init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandParser

    public CommandParser(String in,
                         Context c)

  Constructor, parsing the input queries.

  Parameters:
    `in` - query input
    `c` - context

### CommandParser

    public CommandParser(String in,
                         Context c,
                         boolean i)

  Constructor, parsing internal commands.

  Parameters:
    `in` - query input
    `c` - context
    `i` - internal flag

Method Detail

### parse

    public Proc[] parse()
                 throws QueryException

  Parses the input and returns a command list.

  Returns:
    commands
  Throws:
    `QueryException` - query exception

### error

    public void error(StringList comp,
                      String m,
                      Object... e)
               throws QueryException

  Throws an error.

  Parameters:
    `comp` - input completions
    `m` - message
    `e` - extension
  Throws:
    `QueryException` - query exception

### list

    public StringList list(Enum<?>[] comp)

  Converts the specified commands into a string list.

  Parameters:
    `comp` - input completions
  Returns:
    string list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD